summaryrefslogtreecommitdiff
path: root/tests/ar.test
diff options
context:
space:
mode:
authorTom Tromey <tromey@redhat.com>2001-12-31 02:44:37 +0000
committerTom Tromey <tromey@redhat.com>2001-12-31 02:44:37 +0000
commit876295085c51feb38fb81b2b10b71b0a118f5cc1 (patch)
treed7d07b0f721e5eb894a7394804c5d46555fca7a8 /tests/ar.test
parent3e1f26e1351c7184123e843b0c1c441fa3c8bb15 (diff)
downloadautomake-876295085c51feb38fb81b2b10b71b0a118f5cc1.tar.gz
* automake.in (define_configure_variable): Define a user macro,
not an automake macro. * tests/Makefile.am (TESTS): Added ar.test. * tests/ar.test: New file.
Diffstat (limited to 'tests/ar.test')
-rwxr-xr-xtests/ar.test25
1 files changed, 25 insertions, 0 deletions
diff --git a/tests/ar.test b/tests/ar.test
new file mode 100755
index 000000000..60c1f474f
--- /dev/null
+++ b/tests/ar.test
@@ -0,0 +1,25 @@
+#! /bin/sh
+
+# Test for setting AR in configure.in.
+
+. $srcdir/defs || exit 1
+
+cat > configure.in << 'END'
+AC_INIT
+AM_INIT_AUTOMAKE($me, 1.0)
+AC_PROG_CC
+AC_PROG_RANLIB
+AC_PATH_PROG(AR, arppc)
+AC_CONFIG_FILES(Makefile)
+END
+
+cat > Makefile.am << 'END'
+lib_LIBRARIES = libfoo.a
+libfoo_a_SOURCES = maude.c
+END
+
+$ACLOCAL || exit 1
+$AUTOMAKE || exit 1
+
+grep 'AR = ar' Makefile.in && exit 1
+exit 0